Skip to content

List workflow runs

GET
/v1/forms/{form}/workflow-runs
curl --request GET \
--url https://api.submeto.com/v1/forms/example/workflow-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "run_kind": "production", "status": "pending", "workflow_version": 1, "submission_id": "example", "created_after": "example", "created_before": "example", "min_compute_points": 1, "max_compute_points": 1, "delivery_uncertain": true, "limit": 1 }'

Returns up to 50 recent run summaries. Requires workflows:read.

form
required
string

The form ID.

run_kind

Filter by production or test.

string

Filter by production or test.

status

Filter by run status.

string

Filter by run status.

workflow_version

Filter by published version number.

integer

Filter by published version number.

submission_id

Filter by submission ID.

string

Filter by submission ID.

created_after

Include runs created at or after this timestamp.

string

Include runs created at or after this timestamp.

created_before

Include runs created before this timestamp.

string

Include runs created before this timestamp.

min_compute_points

Minimum consumed CP.

integer

Minimum consumed CP.

max_compute_points

Maximum consumed CP.

integer

Maximum consumed CP.

delivery_uncertain

Filter by delivery uncertainty.

boolean

Filter by delivery uncertainty.

limit

Number of runs (1-50, default 20).

integer

Number of runs (1-50, default 20).

Media typeapplication/json
object
run_kind
string
Allowed values: production test
status
string
Allowed values: pending blocked_insufficient_compute_points blocked_plan_limits running succeeded partially_failed failed cancelled
workflow_version

Must be at least 1.

integer
submission_id
string
created_after

Must be a valid date.

string
created_before

Must be a valid date. Must be a date after created_after.

string
min_compute_points

Must be at least 0.

integer
max_compute_points

Must be at least 0.

integer
delivery_uncertain
boolean
limit

Must be at least 1. Must not be greater than 50.

integer

Workflow runs

Media typeapplication/json
object
data
Array<object>
object
id
string
submission_id
string
run_kind
string
status
string
workflow_version
integer
workflow_version_id
string
draft_revision
string
nullable
reserved_compute_points
integer
consumed_compute_points
integer
released_compute_points
integer
error_code
string
nullable
started_at
string
completed_at
string
created_at
string
request_id
string
Example
{
"data": [
{
"id": "01JRUN00000000000000000000",
"submission_id": "REQUEST_ID",
"run_kind": "production",
"status": "succeeded",
"workflow_version": 2,
"workflow_version_id": "01JVERSION00000000000000002",
"draft_revision": null,
"reserved_compute_points": 2,
"consumed_compute_points": 2,
"released_compute_points": 0,
"error_code": null,
"started_at": "2026-09-03T09:11:00.000Z",
"completed_at": "2026-09-03T09:11:02.000Z",
"created_at": "2026-09-03T09:11:00.000Z"
}
],
"request_id": "REQUEST_ID"
}